wco.datamodel.wco.documentmetadata_dms._2

# MetaData

###
Related Doc: package _2

#### class MetaData extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetaData
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MetaData()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### def getAgencyAssignedCustomizationCode(): MetaDataAgencyAssignedCustomizationCodeType

10. #### def getAgencyAssignedCustomizationVersionCode(): MetaDataAgencyAssignedCustomizationVersionCodeType

11. #### def getAny(): AnyRef

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getResponse(): List[AnyRef]

14. #### def getResponsibleAgencyName(): MetaDataResponsibleAgencyNameTextType

15. #### def getResponsibleCountryCode(): MetaDataResponsibleCountryCodeType

16. #### def getWCODataModelVersionCode(): MetaDataWCODataModelVersionCodeType

17. #### def getWCOTypeName(): MetaDataWCOTypeNameTextType

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def setAgencyAssignedCustomizationCode(value: MetaDataAgencyAssignedCustomizationCodeType): Unit

24. #### def setAgencyAssignedCustomizationVersionCode(value: MetaDataAgencyAssignedCustomizationVersionCodeType): Unit

25. #### def setAny(value: Any): Unit

26. #### def setResponsibleAgencyName(value: MetaDataResponsibleAgencyNameTextType): Unit

27. #### def setResponsibleCountryCode(value: MetaDataResponsibleCountryCodeType): Unit

28. #### def setWCODataModelVersionCode(value: MetaDataWCODataModelVersionCodeType): Unit

29. #### def setWCOTypeName(value: MetaDataWCOTypeNameTextType): Unit

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped